Loading...
Searching...
No Matches
Opm::DeferredLogger Class Reference

## Classes

struct | Message

## Public Member Functions

void | info (const std::string &tag, const std::string &message)
void | warning (const std::string &tag, const std::string &message)
void | error (const std::string &tag, const std::string &message)
void | problem (const std::string &tag, const std::string &message)
void | bug (const std::string &tag, const std::string &message)
void | debug (const std::string &tag, const std::string &message)
void | note (const std::string &tag, const std::string &message)
void | info (const std::string &message)
void | warning (const std::string &message)
void | error (const std::string &message)
void | problem (const std::string &message)
void | bug (const std::string &message)
void | debug (const std::string &message)
void | debug (const std::string &message, const int verbosity_level)
void | note (const std::string &message)
void | logMessages ()
| Log all messages to the OpmLog backends, and clear the message container.
void | clearMessages ()
| Clear the message container without logging them.

## Friends

DeferredLogger | gatherDeferredLogger (const DeferredLogger &local_deferredlogger, Parallel::Communication mpi_communicator)
| Create a global log combining local logs.

The documentation for this class was generated from the following files:

- opm/simulators/utils/DeferredLogger.hpp
- opm/simulators/utils/DeferredLogger.cpp